Index: XMLIO_V2/dev/dev_rv/src/XMLIO/attribut.hpp
===================================================================
--- XMLIO_V2/dev/dev_rv/src/XMLIO/attribut.hpp	(revision 110)
+++ XMLIO_V2/dev/dev_rv/src/XMLIO/attribut.hpp	(revision 111)
@@ -16,5 +16,6 @@
          { /* Ne rien faire de plus */}
 
-         istream& operator>> (std::string& s) {s.assign(this->iss.str()); return (this->iss);}
+         istream& operator>> (std::string& s)
+         {s.assign(this->iss.str()); return (this->iss);}
          istream& operator>> (int& s) { return (iss>>s); }
          istream& operator>> (bool& s)
Index: XMLIO_V2/dev/dev_rv/src/XMLIO/main_cpp.cpp
===================================================================
--- XMLIO_V2/dev/dev_rv/src/XMLIO/main_cpp.cpp	(revision 110)
+++ XMLIO_V2/dev/dev_rv/src/XMLIO/main_cpp.cpp	(revision 111)
@@ -11,6 +11,6 @@
    try
    {
-      //string file("/local/XMLIOSERVER_DEV/dev_rv/test/iodef_test.xml");
-      string file("/local/XMLIOSERVER_DEV/dev_rv/iodef_test.xml");
+      string file("/local/XMLIOSERVER_DEV/dev_rv/test/iodef_test.xml");
+      //string file("/local/XMLIOSERVER_DEV/dev_rv/iodef_test.xml");
 
       ifstream istr( file.c_str() , ifstream::in );
@@ -29,8 +29,4 @@
       Context::ShowTree(std::clog);
 
-      /*std::clog << "Nombre de Contexts listÃ©s : " << Context::GetCurrentListObject().getSize() << " contre 1 attendus."<< std::endl;
-      std::clog << "Nombre de FieldGroups listÃ©s : " << FieldGroup::GetCurrentListObject().getSize() << " contre 5 attendus."<< std::endl;
-      std::clog << "Description du champs votkeavt : " << Field::GetObject("votkeavt").axis_ref << " contre \"Vertical Eddy Diffusivity\" attendus."<< std::endl;*/
-
    }
    catch(const Exception &exc)
Index: XMLIO_V2/dev/dev_rv/src/XMLIO/xmlio_c_interface.cpp
===================================================================
--- XMLIO_V2/dev/dev_rv/src/XMLIO/xmlio_c_interface.cpp	(revision 110)
+++ XMLIO_V2/dev/dev_rv/src/XMLIO/xmlio_c_interface.cpp	(revision 111)
@@ -1,9 +1,8 @@
-/*
+/*using namespace XMLIOSERVER;
+using namespace XMLIOSERVER::XML;
+using namespace std;
+
 extern "C"
 { // DÃ©but du code C
-
-   using namespace XMLIOSERVER;
-   using namespace XMLIOSERVER::XML;
-   using namespace std;
    
    typedef void *XMLIOhandle;
@@ -11,4 +10,4 @@
    // VIDE TEMPORAIREMENT
    
-}
-*/
+}*/
+
Index: XMLIO_V2/dev/dev_rv/src/XMLIO/xmlio_xml_node.hpp
===================================================================
--- XMLIO_V2/dev/dev_rv/src/XMLIO/xmlio_xml_node.hpp	(revision 110)
+++ XMLIO_V2/dev/dev_rv/src/XMLIO/xmlio_xml_node.hpp	(revision 111)
@@ -11,8 +11,8 @@
 #include <Poco/DOM/AutoPtr.h>
 
-// EntÃªtes Poco SAX
+// EntÃªtes Poco SAX.
 #include <Poco/SAX/InputSource.h>
 
-// Utilisation de la STL
+// Utilisation de la STL.
 using std::string;
 
@@ -25,5 +25,5 @@
 using std::ifstream;
 
-// Utilisation de la biliothÃšque POCO
+// Utilisation de la biliothÃšque POCO.
 using Poco::XML::DOMParser;
 using Poco::XML::InputSource;
@@ -64,8 +64,7 @@
                   // ... et Ã  pour valeur la chaÃ®ne rootName.
                   node.pDoc = parser.parse(&src);
-                  if (!(node.pDoc->documentElement()->nodeName().compare(_rootName)))
-                  { node.setCNode(node.pDoc->documentElement()); }
-                  else
-                     throw XMLParsingException("L'Ã©lÃ©ment racine doit avoir pour valeur <" + _rootName + "> (\"" + (node.pDoc->documentElement()->nodeName()) + "\" lue)");
+                  node.setCNode(node.pDoc->documentElement());
+                  if (node.getElementName().compare(_rootName) != 0)
+                     throw XMLParsingException("L'Ã©lÃ©ment racine doit avoir pour valeur <" + _rootName + "> (\"" + node.getElementName() + "\" lue)");
                }
                else
@@ -75,5 +74,6 @@
             }
 
-            string getElementName(void) const {return (this->getCNode()->nodeName());}
+            string getElementName(void) const
+            { string _str(this->getCNode()->nodeName()); return (_toLower(_str)); }
 
             bool goToNextElement(void)
@@ -127,5 +127,10 @@
 
                for(unsigned int i = 0; i< map->length(); i++)
-                  attributes[map->item(i)->nodeName()] = map->item(i)->nodeValue();
+               {
+                  string _str(map->item(i)->nodeName());
+                  size_t d = map->item(i)->nodeValue().find_first_not_of (' ');
+                  size_t f = map->item(i)->nodeValue().find_last_not_of (' ');
+                  attributes[_toLower(_str)] = map->item(i)->nodeValue().substr(d,f-d+1);
+               }
 
                return (true);
@@ -143,4 +148,12 @@
 
          private :
+
+            string& _toLower(string& _str) const
+            {
+               for (unsigned int i = 0; i < _str.size(); i++)
+                  _str[i] = tolower(_str[i]);
+               return (_str);
+            }
+
             AutoPtr<Document> pDoc;
             Node*  cNode;